public class Circle implements Figure, Comparable {
    private double r;

    public Circle(double radius) {
        r = radius;
    }

    public double area() {
    	return r * r * Math.PI;
    }

    public String toString() {
    	return "Kreis mit Radius "+r;
    }

    // liefert < 0 bei kleiner, = 0 bei gleich und > 0 bei grer
    public int compareTo(Object o) {
	// hier "kracht's", wenn hinter o kein Circle (oder ein
	// Objekt einer Unterklasse "steckt"):
    	Circle c = (Circle) o; // fuehrt ggf. zu ClassCastException
	return (r < c.r) ? -1 :
	                   ((r > c.r) ? 1 : 0);
    }
}
